mod component;

use component::login::LoginComponent;
use yew::prelude::*;

struct App {
    clicked: bool,
    onclick: Callback<ClickEvent>,
}

enum Msg {
    Click,
}

impl Component for App {
    type Message = Msg;
    type Properties = ();

    fn create(_: Self::Properties, link: ComponentLink<Self>) -> Self {
        App {
            clicked: false,
            onclick: link.callback(|_| Msg::Click),
        }
    }

    fn update(&mut self, msg: Self::Message) -> ShouldRender {
        match msg {
            Msg::Click => {
                if self.clicked {
                    self.clicked = false;
                } else {
                    self.clicked = true
                }
                true
            }
        }
    }

    fn view(&self) -> Html {
        html! {
            <LoginComponent:/>
        }
    }
}

fn main() {
    yew::start_app::<App>();
}
